Public Support - Support Request #3556

Missing documentation for Configuration Editor regarding command line options
2018-08-02 08:45 - hidden

Status: Closed
Priority: Normal
Category:
Customer: AUDI Product Issue
Numbers:
Department: EF Affected Products: ADTF 3.3.2
Requester's Priority: Normal Platform:
Support Level: 2nd Level Topic: ADTF::CE
Resolution: Solved Issue FAQ Links:
Description
Supportanfrage

mit Freude hab ich im Changelog gelesen:

e [ACORE-8901] - Provide commandline option for Configuration Editor to load adtfproject and custom cesettings
Jetzt wollt ich aber herausfinden, wie es geht...
Windows-Kommandozeile Fehlanzeige...

D:\WS\SDKs\ADTF\V3_3_2_VC1l4_3x64\bin>adtf_configuration_editor.exe —-help
D:\WS\SDKs\ADTF\V3_3_2_VC1l4_3x64\bin>

Vielleicht ist Linux hier ja hilfreicher...

virtual@virtual:~/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/bin$ ./adtf_configuration_editor —--help

2018-08-01 18:04:59 [INFO]: Try to load "/home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/bin/adtf_c

onfiguration_editor.adtftool” [runtime.cpp (1704)]
2018-08-01 18:04:59 [INFO]: Loaded plugin: "/home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/bin/adt

f_configuration_editor.adtftool" [runtime.cpp(1825)]

2018-08-01 18:04:59 [INFO]: Registered class "configuration_editor.ui_tool.adtf.cid". ( 1 ) [r
untime.cpp (2149)]
2018-08-01 18:04:59 [INFO]: Unregistered class "configuration_editor.ui_tool.adtf.cid". ( 0 )

[runtime.cpp (2192)]
2018-08-01 18:04:59 [INFO]: Unloading plugin: "ADTF Configuration Editor Plugin" [runtime.cpp (1839

)]
2018-08-01 18:04:59 [INFO]: Stopped UCOM runtime [runtime.cpp (1076)]
virtual@virtual:~/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/bin$

Immerhin kann ich unter Linux dank
export QMLSCENE_DEVICE=softwarecontext
auch in meiner VirtualBox den CE verwenden.

Aber auch darauf habe ich keinen Hinweis finden kénnen, insbesondere nicht hier:

e https://support.digitalwerk.net/adtf/v3/adtf _html/page configuration_editor.html

Dabei wére das doch die Lésung fir:

o https://www.cip.audi.de/jira/browse/ACORE-8841
¢ https://www.cip.audi.de/jira/browse/ACORE-9057

Aber beim Starten gibt's auch ein paar Fehlermeldungen...
virtual@virtual:~/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/bin$ ./adtf_configuration_editor
2018-08-01 17:56:09 [INFO]: Try to load "/home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/bin/adtf_c
onfiguration_editor.adtftool"” [runtime.cpp(1704)]

2018-08-01 17:56:09 [INFO]: Loaded plugin: "/home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/bin/adt
f_configuration_editor.adtftool”" [runtime.cpp(1825)]

2018-08-01 17:56:09 [INFO]: Registered class "configuration_editor.ui_tool.adtf.cid". ( 1 ) [r
untime.cpp (2149) ]

2018-08-01 17:56:09 [ERROR]: Found a empty object name [modelutil.cpp(36)]

2018-08-01 17:56:09 [ERROR]: Found a empty object name [modelutil.cpp(36)]

2018-08-01 17:56:09 [INFO]: Initialize Qml [ce_starter.cpp(650)]

gml: Starting main window loader...

gml: Hiding splash screen...
file:///home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/3rdparty/qt5/gml/QtQuick/Controls/ComboBox.q

ml:567: TypeError: Cannot read property '__ _dropDownStyle' of null
file:///home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/3rdparty/qt5/gqml/QtQuick/Controls/ComboBox.q
ml:567: TypeError: Cannot read property '__ _dropDownStyle' of null
file:///home/virtual /FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/3rdparty/qt5/gml/QtQuick/Controls/ComboBox.q
ml:567: TypeError: Cannot read property '__ dropDownStyle' of null
file:///home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/3rdparty/qt5/gml/QtQuick/Controls/ComboBox.q
ml:567: TypeError: Cannot read property '__ _dropDownStyle' of null
file:///home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/3rdparty/qt5/gml/QtQuick/Controls/ComboBox.q
ml:567: TypeError: Cannot read property '__ _dropDownStyle' of null
file:///home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/3rdparty/qt5/gqml/QtQuick/Controls/ComboBox.q
ml:567: TypeError: Cannot read property '__dropDownStyle' of null
file:///home/virtual/FAS/SDKs/ADTF/V3_3_2_gcc5_4_0x64/3rdparty/qgt5/gml/QtQuick/Controls/ComboBox.
g P y/q g q
ml:567: TypeError: Cannot read property '__ dropDownStyle' of null
file:///home/virtual/FAS/SDKs/ADTF/V3_3_2_gccb5_4_0x64/3rdparty/qt5/gml/QtQuick/Controls/ComboBox.q
ml:567: TypeError: Cannot read property '__dropDownStyle' of null
qrc:/gml/gtproject/StandaloneMain.gqml:57: ReferenceError: mockModel is not defined
2018-08-01 17:56:12 [INFO]: Unregistered class "configuration_editor.ui_tool.adtf.cid". ( 0 )

[runtime.cpp (2192) ]
2018-08-01 17:56:12 [INFO]: Unloading plugin: "ADTF Configuration Editor Plugin" [runtime.cpp (1839

)]
2018-08-01 17:56:12 [INFO]: Stopped UCOM runtime [runtime.cpp(1076) ]

Auch im Ticket https://www.cip.audi.de/jira/browse/ACORE-8901 finde ich keine Hinweise, wie die Parameter anzugeben sind.

Erst der Blick in die Commits hat geholfen:

$ADTF_DIR%\bin\adtf_configuration_editor -project=%CONFIGURATION_DIR%/ADTF3_AllInOne.adtfproject
Funktioniert schonmal unter Windows :) (um Linux kimmere ich mich spéter)

Lésung

Thema 1) Doku fir CE Kommandozeilenparameter

der CE schluckt leider alle Logausgaben, wir haben hierfir grundsétzlich noch keine Lésung...

Deshalb gebe ich dir recht, das muss dokumentiert werden, das ist fir die ADTF3 Guides (SDK Doku wird reine Code Docu) geplant

aber noch nicht umgesetzt.
Deshalb habe ich es in die Release Mail aufgenommen, siehe ADTF 3.3.2 is now available

Thema 2) export QMLSCENE_DEVICE=softwarecontext

Durch setzen der Umgebungsvariable QMLSCENE_DEVICE=softwarecontext (legacy) bzw. QT_QUICK_BACKEND=software (neu)
kann man Software-Rendering fir QtQuick erzwingen.

Das ist uns bekannt und hilft in Situationen, wo kein zuverlassiger OpenGL-Support vorhanden ist (z.B. manche
VM-Konfigurationen).

Das Ganze findet u.a. im Ticket hitps://www.cip.audi.de/jira/browse/ACORE-9518 Erw&hnung.

Leider fuhrt Software-Rendering zu anderen Problemen, siehe https://www.cip.audi.de/jira/browse/ACORE-9523.

Afaik haben wir das Software-Rendering deshalb nicht standardmasig aktiviert.
Mit HighDPI hat das alles nichts zu tun.

Siehe auch Q: The ADTF Configuration Editor starts but the window content is either black or corrupted
History

#1 - 2018-08-03 08:14 - hidden

- Project changed from Public Support to 11
- Status changed from New to In Progress

- Topic set to ADTF::CE

- Customer set to AUDI

- Department set to EF

#2 - 2018-08-03 08:15 - hidden
- Affected Products ADTF 3.3.2 added

#3 - 2018-08-03 08:40 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

Hallo Jens,

Thema 1) Doku fir CE Kommandozeilenparameter

der CE schluckt leider alle Logausgaben, wir haben hierfir grundsatzlich noch keine Lésung...

Deshalb gebe ich dir recht, das muss dokumentiert werden, das ist fir die ADTF3 Guides (SDK Doku wird reine Code Docu) geplant aber noch nicht

umgesetzt.
Deshalb habe ich es in die Release Mail aufgenommen, sieche ADTF 3.3.2 is now available

Thema 2) export QMLSCENE_DEVICE=softwarecontext

Woher kommt diese Info ?

Das ist mir neu und kann deshalb ja auch nirgens stehen.

Was wir eingebaut haben ist Software Rendering (allerdings nicht zur 3.3.2 sondern 3.3.1), und es fand eine Bewertung fir mégliche Optimierungen
statt, v.a. Richtung HDPI (ACORE-9475)

@Sebastian: Ist dir die Variable bekannt ? Hilft sie uns weiter oder ist das "nur" VB hilfreich ? Bitte bewerten...

#5 - 2018-08-03 09:02 - hidden

Es sieht folgendermaf3en aus:

Durch setzen der Umgebungsvariable QULSCENE_DEVICE=softwarecontext (legacy) bzw. QT_QUICK_BACKEND=software (neu) kann man
Software-Rendering fur QtQuick erzwingen.

Das ist uns bekannt und hilft in Situationen, wo kein zuverlassiger OpenGL-Support vorhanden ist (z.B. manche VM-Konfigurationen).

Das Ganze findet u.a. im Ticket https://www.cip.audi.de/jira/browse/ACORE-9518 Erwahnung.

Leider fuhrt Software-Rendering zu anderen Problemen, siehe https://www.cip.audi.de/jira/browse/ACORE-9523.

Afaik haben wir das Software-Rendering deshalb nicht standardmasig aktiviert.
Mit HighDPI hat das alles nichts zu tun.
- Wolfgang
#6 - 2018-08-03 09:07 - hidden
Florian Roth wrote:
Deshalb gebe ich dir recht, das muss dokumentiert werden, das ist fir die ADTF3 Guides (SDK Doku wird reine Code Docu) geplant aber noch

nicht umgesetzt.

Werden die ADTF3-Guides dann auch mit ADTF ausgeliefert? Da die Online-Doku nur die neueste Version berlicksichtigt, fehlt es sonst an der
Dokumentation fiir altere Versionen.
Wird es fiir die ADTF3-Guides eine Suchfunktion geben? Falls nicht, wére eine Anleitung hilfreich, wie man z.B. mit google effizient die
ADTF3-Guides durchsucht.

Thema 2) export QULSCENE_DEVICE=softwarecontext

Woher kommt diese Info ?

Ich bin mir nicht sicher, ob Frank oder Sebastian die Variable erwahnt hatten. Vielleicht war es auch eine andere Variable. Ich bin in meinem Outlook
dazu nicht mehr findig geworden.

#7 - 2018-08-03 14:17 - hidden

Hi Jens,

Werden die ADTF3-Guides dann auch mit ADTF ausgeliefert? Da die Online-Doku nur die neueste Version berlicksichtigt, fehlt es sonst an der
Dokumentation fiir altere Versionen.

Ja, es wird einen Snapshot geben in kiinftigen Versionen, bisher haben wir noch nicht versioniert, gultig fir 3.3.x.

Das kommt dann auch mit in die Lieferung, ist bisher noch nicht relevant bzw. wir arbeiten daran.

Zudem haben sie fir uns noch keinen vollstdndigen Zustand und diesen eher unterstitzend.

Sollte aktuell auch kein Problem sein da

a) Ein Developer i.d.R. online ist

b) es bisher noch keine Versionsschwierigkeiten geben sollte, im Gegenteil, die Guides sind wenn dann zu alt und unvollstéandig

Wird es fiir die ADTF3-Guides eine Suchfunktion geben? Falls nicht, wére eine Anleitung hilfreich, wie man z.B. mit google effizient die
ADTF3-Guides durchsucht.

Ja, wird es geben, leider lauft die Indizierung bei Google noch, ansonsten kénnte man es schon dort finden.

Uberhaupt sollen alle Dokumente googlebar sein, das ist ja schon fast tiberall der Fall.

Bei den Guides wird das aber nicht so ins Gewicht fallen, da man sehr schnell mit der flachen Hierarchie ans Ziel kommt und dort zur Not Ctrl+F
benutzen kann, zumindest geht es mir so...

Aber defintiv wird und ist es Ubersichtlicher als die SDK Doku.

Ich bin mir nicht sicher, ob Frank oder Sebastian die Variable erwahnt hatten. Vielleicht war es auch eine andere Variable. Ich bin in meinem
Outlook dazu nicht mehr findig geworden.

Dann meinst du Wolfe schon gesagt hat die deprecated Variante von QT_QUICK_BACKEND

Das ist hier dokumentiert.

Q: The ADTF Configuration Editor starts but the window content is either black or corrupted

Wie Wolfe schon sagt, hilft es dem einen, aber den nachsten nicht.

Volker hat wie in der letzten Projektrunde erwéhnt in ACORE-9475 zusammengefasst, dass wir immer auf das Setup kinftig schauen miissen, da es
nicht die eine generische Losung gibt, unabh&ngig davon, dass hier der Fokus auf HDPI liegt.

Das sieht man auch mit wenigen Ausnahmen an anderen Tools, die hierfir keine Ldsung finden.

Gdf. hilft ein Qt Update der n&achsten LTS...

#8 - 2018-08-10 09:12 - hidden
- Project changed from 11 to Public Support

- Subject changed from ADTF 3.3.2 Configuration Editor: Hinweise zur Verbesserung der Doku to Missing documentation for Configuration Editor
regarding command line options

- Description updated
- Status changed from Customer Feedback Required to To Be Closed
- Private changed from Yes to No

- Resolution set to Solved Issue

Keine weiteren Anmerkungen, Ticket wird geschlossen

#9 - 2018-09-11 15:51 - hidden
- Status changed from To Be Closed to Closed
